[POLL] Make all save games incompatible or accept occasional failures?


  • 2019 2017 '16

    Hi,
    There is a proposed fix for the issue where subs can retreat from an undefended transport on maps where transports don’t defend.

    The problem is that the fix breaks compatibility for the case where the save game is created with a battle in progress. There’s two options:

    • update version to 1.9.1 which will mean games in progress  cannot use the new version and the old version cannot use games created with the new version, similar to the issues when we went from 1.809 to 1.9
    • update version to 1.9.0.2 which will mean you get errors trying to load a game when a battle is in progress and you use the wrong version
    • don’t update the version which will have the same issues as moving to 1.902 but be harder to understand what is going on.

    I’m in favour of updating the version to 1.9.1 for the record as there will be less confused players. I could happily live with 1.902 but I don’t want to constantly answer questions about it.


  • 2020 2019 2018 2017 '16 '15 '14 '13 Official Q&A TripleA Moderator

    I voted for 1.9.1.

    Savegame incompatibilities have always been part of the TripleA development during the last 8 years…
    As long as you can run different TripleA versions side by side this is not really an issue.
    So just finish your ongoing games with the version installed - and start new games with the new version installed next to the old one. No wizardry.

    The major issue when changing from 1.809 to 1.9 has been the map incompatibilities - due to the rewrite of the maps themselves on the one side and the change of the map install directories on the other side. As this definitely won’t repeat when proceeding from 1.9 to 1.91 - there is no reason not to go on this way.

    We want to improve TripleA - we want it to be as rules compliant as possible - we want it to be as flexible for adding house rules or creating different games as possible - so we need to accept savegame incompatibilities from time to time.

    The more improvements and bug fixes are added to the engine the more this is justified, of course.

    I am happy to give support to everyone who wants or needs it here in the software forum - as always. 🙂


  • 2019 2017 '16

    Looks like these retreat/submerge bugs won’t be fixed. Why not? The developers don’t want to.


  • 2020 2019 2018 2017 '16 '15 '14 '13 Official Q&A TripleA Moderator

    @simon33:

    … The developers don’t want to.

    Really? Where do they say so? I must have missed that.  :?


  • 2019 2017 '16

    @P@nther:

    @simon33:

    … The developers don’t want to.

    Really? Where do they say so? I must have missed that.  :?

    Have you spoken to them? They don’t say it in so many words.

    Anyway, some of the reluctance is breaking save game compatibility and moving on the new version. I’ve submitted a new PR which fixes some of the issues which can be fixed while keeping compatibility. Not the submerge bugs, mostly.

    There’s plenty of reason not to break save game compatibility. A lot of the old version functionality was broken in 1.9 for reasons I can’t fathom.


Log in to reply
 

20th Anniversary Give Away

In January 2000 this site came to life and now we're celebrating our 20th Anniversary with a prize giveaway of 30+ prizes. See this link for the list of prizes and winners.
Axis & Allies Boardgaming Custom Painted Miniatures
Dean's Army Guys
T-shirts, Hats, and More

Suggested Topics

I Will Never Grow Up Games
Axis & Allies Boardgaming Custom Painted Miniatures
Dean's Army Guys

59
Online

14.8k
Users

35.5k
Topics

1.4m
Posts